be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDMAAREQUESTTYPEvalues

- java.lang.Object
- - java.lang.Enum<CDMAAREQUESTTYPEvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDMAAREQUESTTYPEvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDMAAREQUESTTYPEvalues>

      public enum CDMAAREQUESTTYPEvalues
      extends Enum<CDMAAREQUESTTYPEvalues>

  Java class for CD-MAA-REQUESTTYPEvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-MAA-REQUESTTYPEvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="newrequest"/>
           <enumeration value="extension"/>
           <enumeration value="noncontinuousextension"/>
           <enumeration value="complimentaryannex"/>
           <enumeration value="cancellation"/>
           <enumeration value="closure"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELLATION`
    `CLOSURE`
    `COMPLIMENTARYANNEX`
    `EXTENSION`
    `NEWREQUEST`
    `NONCONTINUOUSEXTENSION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDMAAREQUESTTYPEvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDMAAREQUESTTYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDMAAREQUESTTYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEWREQUEST

          public static final CDMAAREQUESTTYPEvalues NEWREQUEST

    - #### EXTENSION

          public static final CDMAAREQUESTTYPEvalues EXTENSION

    - #### NONCONTINUOUSEXTENSION

          public static final CDMAAREQUESTTYPEvalues NONCONTINUOUSEXTENSION

    - #### COMPLIMENTARYANNEX

          public static final CDMAAREQUESTTYPEvalues COMPLIMENTARYANNEX

    - #### CANCELLATION

          public static final CDMAAREQUESTTYPEvalues CANCELLATION

    - #### CLOSURE

          public static final CDMAAREQUESTTYPEvalues CLOSURE

  - ### Method Detail

    - #### values

          public static CDMAAREQUESTTYPEvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDMAAREQUESTTYPEvalues c : CDMAAREQUESTTYPEvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDMAAREQUESTTYPEvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDMAAREQUESTTYPEvalues fromValue(String v)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.